import geojson as gs
from random import *


def getGeometry(type='point', features=1, bbox=[90, -180, -90, 180]):
    all_features_list = []
    if type.lower() == 'point':  
        for i in range(0,features):
            all_features_list.append(gs.Feature(geometry=gs.Point(
                (randomCoordinates(bbox[0], bbox[2]), randomCoordinates(bbox[1], bbox[3])))))
        feature_collection = gs.FeatureCollection(all_features_list)
    elif type.lower() == 'linestring':
        for i in range(0, features):
            all_features_list.append(gs.Feature(geometry=gs.LineString(
                [(randomCoordinates(bbox[0], bbox[2]), randomCoordinates(bbox[1], bbox[3])),
                 (randomCoordinates(bbox[0], bbox[2]), randomCoordinates(bbox[1], bbox[3]))
                 (randomCoordinates(bbox[0], bbox[2]), randomCoordinates(bbox[1], bbox[3]))
                 (randomCoordinates(bbox[0], bbox[2]), randomCoordinates(bbox[1], bbox[3]))])))
    elif type.lower() == 'polygon':
        for i in range(0, features):
            main_coord = (randomCoordinates(
                bbox[0], bbox[2]), randomCoordinates(bbox[1], bbox[3]))
            all_features_list.append(gs.Feature(geometry=gs.Polygon(
                [[main_coord,
                 (randomCoordinates(bbox[0], bbox[2]),
                  randomCoordinates(bbox[1], bbox[3]))
                 (randomCoordinates(bbox[0], bbox[2]),
                  randomCoordinates(bbox[1], bbox[3]))
                 (randomCoordinates(bbox[0], bbox[2]), randomCoordinates(bbox[1], bbox[3])),
                 main_coord]])))
        feature_collection = gs.FeatureCollection(all_features_list)

    return feature_collection


def randomCoordinates(num1, num2):
    return uniform(num1, num2)
